crash in g_slist_remove_all from gtk_rc_clear_realized_style

Bug #1555331 reported by APolihron on 2016-03-09
622
This bug affects 91 people
Affects Status Importance Assigned to Milestone
gtk+2.0 (Ubuntu)
Undecided
Unassigned
mate-panel (Ubuntu)
High
Unassigned

Bug Description

Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: mate-panel 1.12.2-1
ProcVersionSignature: Ubuntu 4.4.0-11.26-generic 4.4.4
Uname: Linux 4.4.0-11-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CurrentDesktop: MATE
Date: Wed Mar 9 22:49:55 2016
ExecutablePath: /usr/bin/mate-panel
InstallationDate: Installed on 2016-02-25 (12 days ago)
InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160224)
ProcCmdline: mate-panel
SegvAnalysis:
 Segfault happened at: 0x7f4fa6439b1c <g_slist_remove_all+44>: cmp %rbp,(%rdi)
 PC (0x7f4fa6439b1c) ok
 source "%rbp" ok
 destination "(%rdi)" (0x1600000016) not located in a known VMA region (needed writable region)!
SegvReason: writing unknown VMA
Signal: 11
SourcePackage: mate-panel
StacktraceTop:
 g_slist_remove_all () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
 g_hash_table_foreach () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 gtk_rc_reset_styles () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
Title: mate-panel crashed with SIGSEGV in g_slist_remove_all()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

APolihron (apolitech) wrote :
information type: Private → Public

StacktraceTop:
 g_slist_remove_all () from /tmp/apport_sandbox_12L0Z5/lib/x86_64-linux-gnu/libglib-2.0.so.0
 ?? ()
 ?? ()
 ?? ()
 ?? ()

tags: added: apport-failed-retrace
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mate-panel (Ubuntu):
status: New → Confirmed
Martin Wimpress (flexiondotorg) wrote :

What led up to the mate-panel crashing? How can this issue be reproduced?

Changed in ubuntu-mate:
status: New → Incomplete
Changed in mate-panel (Ubuntu):
status: Confirmed → Incomplete
AdamH (adam-sundew) wrote :

This crash occurred for me for Ubuntu MATE 16.04 Beta 2 running in a VirtualBox VM.

See my (possibly duplicate?) bug here: https://bugs.launchpad.net/ubuntu/+source/mate-panel/+bug/1552345
(Currently marked private)

This is a fresh install with all updated applied, running in a VirtualBox VM
(VirtualBox version 5.0.16), with Guest Additions installed.

MATE Panel version: 1.12.2-1

no longer affects: ubuntu-mate
lauricat (lauricat) wrote :

This happened as I was cold booting machine - had done nothing other than login. Thanks

lauricat (lauricat) wrote :

same as above.

Launchpad Janitor (janitor) wrote :

[Expired for mate-panel (Ubuntu) because there has been no activity for 60 days.]

Changed in mate-panel (Ubuntu):
status: Incomplete → Expired
Thomas Nak (thomasnak) wrote :

This happens right after booting. Not every time, I'd say about once in every 10 boots. I haven't noticed any pattern that could help reproducing it. It never happens at any other time, only right after booting.

Changed in mate-panel (Ubuntu):
status: Expired → Confirmed
Thomas Nak (thomasnak) wrote :

@ Martin Wimpress

When setting a bug to incomplete, better to ask the reporter to revert the change when they have provided the needed information.

Changed in mate-panel (Ubuntu):
importance: Undecided → High
Thomas Nak (thomasnak) wrote :

Additional information: I regularly get this bug on my Intel Sandy Bridge system, but never got it on a Skylake system.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1555331

tags: added: iso-testing
Brian (thwaller) wrote :

My bug report was merged to here. For me, this started after upgrading from 16.10 to 17.04. I upgraded about 1-2 weeks prior to the official stable release. The crashing of mate-panel has been going on ever since.

I know. This problem was from the Alfa when I first reported and the bug
was close because "did not affect the destroy"

Pe 25 mai 2017 8:46 a.m., "Brian" <email address hidden> a scris:

> My bug report was merged to here. For me, this started after upgrading
> from 16.10 to 17.04. I upgraded about 1-2 weeks prior to the official
> stable release. The crashing of mate-panel has been going on ever since.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1555331
>
> Title:
> mate-panel crashed with SIGSEGV in g_slist_remove_all()
>
> Status in mate-panel package in Ubuntu:
> Confirmed
>
> Bug description:
> Description: Ubuntu Xenial Xerus (development branch)
> Release: 16.04
>
> ProblemType: Crash
> DistroRelease: Ubuntu 16.04
> Package: mate-panel 1.12.2-1
> ProcVersionSignature: Ubuntu 4.4.0-11.26-generic 4.4.4
> Uname: Linux 4.4.0-11-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> CurrentDesktop: MATE
> Date: Wed Mar 9 22:49:55 2016
> ExecutablePath: /usr/bin/mate-panel
> InstallationDate: Installed on 2016-02-25 (12 days ago)
> InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160224)
> ProcCmdline: mate-panel
> SegvAnalysis:
> Segfault happened at: 0x7f4fa6439b1c <g_slist_remove_all+44>:
> cmp %rbp,(%rdi)
> PC (0x7f4fa6439b1c) ok
> source "%rbp" ok
> destination "(%rdi)" (0x1600000016) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing unknown VMA
> Signal: 11
> SourcePackage: mate-panel
> StacktraceTop:
> g_slist_remove_all () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
> g_hash_table_foreach () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> gtk_rc_reset_styles () from /usr/lib/x86_64-linux-gnu/
> libgtk-x11-2.0.so.0
> ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
> Title: mate-panel crashed with SIGSEGV in g_slist_remove_all()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/mate-panel/+
> bug/1555331/+subscriptions
>

tags: added: apport-request-retrace

It really seems like some old bug in GTK+2. It crashes on this line, always with the same stacktrace.

  * https://bugzilla.redhat.com/1293096
  * https://bugzilla.redhat.com/1343807

I'm doubt that rc_style will ever be fixed as this is replaced with GtkStyleProvider in GTK3+. Ubuntu MATE was migrated to GTK3+ only for Ubuntu MATE 16.10 and this issue is no longer present since that release.

Changed in mate-panel (Ubuntu):
status: Confirmed → Won't Fix
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gtk+2.0 (Ubuntu):
status: New → Confirmed
Vlad Orlov (monsta) on 2018-03-10
summary: - mate-panel crashed with SIGSEGV in g_slist_remove_all()
+ crash in g_slist_remove_all from gtk_rc_clear_realized_style
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers